Package org.eclipse.emf.spi.cdo

## Class DefaultCDOMerger.PerFeature.ManyValuedOld.Element

- java.lang.Object
- - org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<CDOFeatureDelta>
  - - org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld.Element

- Enclosing class:
    DefaultCDOMerger.PerFeature.ManyValuedOld

      public static final class DefaultCDOMerger.PerFeature.ManyValuedOld.Element
      extends DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<CDOFeatureDelta>

  A virtual list element to establish unique relations between ancestor, source and target sides.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Element​(int ancestorIndex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAncestorIndex()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide

      `get, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Element

          public Element​(int ancestorIndex)

  - ### Method Detail

    - #### getAncestorIndex

          public int getAncestorIndex()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<CDOFeatureDelta>`